com.google.gwt.place.shared

## Class PlaceHistoryHandler.DefaultHistorian

- java.lang.Object
- - com.google.gwt.place.shared.PlaceHistoryHandler.DefaultHistorian

All Implemented Interfaces:
  PlaceHistoryHandler.Historian

Enclosing class:
  PlaceHistoryHandler

    public static class PlaceHistoryHandler.DefaultHistorian
    extends java.lang.Object
    implements PlaceHistoryHandler.Historian

Default implementation of `PlaceHistoryHandler.Historian`, based on `History`.

### Constructor Summary

Constructors
Constructor and Description
`DefaultHistorian()`

### Method Summary

All Methods Instance Methods Concrete Methods
`HandlerRegistration` `addValueChangeHandler(ValueChangeHandler<java.lang.String> valueChangeHandler)` Adds a `ValueChangeEvent` handler to be informed of changes to the browser's history stack.
`java.lang.String` `getToken()`
`void` `newItem(java.lang.String token, boolean issueEvent)` Adds a new browser history entry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultHistorian

    public DefaultHistorian()

### Method Detail

#### addValueChangeHandler

    public HandlerRegistration addValueChangeHandler(ValueChangeHandler<java.lang.String> valueChangeHandler)

Description copied from interface: `PlaceHistoryHandler.Historian`
Adds a `ValueChangeEvent` handler to be informed of changes to the browser's history stack.

Specified by:
  `addValueChangeHandler` in interface `PlaceHistoryHandler.Historian`
Parameters:
  `valueChangeHandler` - the handler
Returns:
  the registration used to remove this value change handler

#### getToken

    public java.lang.String getToken()

Specified by:
  `getToken` in interface `PlaceHistoryHandler.Historian`
Returns:
  the current history token.

#### newItem

    public void newItem(java.lang.String token,
                        boolean issueEvent)

Description copied from interface: `PlaceHistoryHandler.Historian`
Adds a new browser history entry. Calling this method will cause `ValueChangeHandler.onValueChange(com.google.gwt.event.logical.shared.ValueChangeEvent)` to be called as well.

Specified by:
  `newItem` in interface `PlaceHistoryHandler.Historian`